Package ru.bitel.bgbilling.plugins.notification.common.bean

# Class ContractNotification

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.notification.common.bean.ContractNotification

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractNotification extends IdTitle
Уведомление в договоре (в личном кабинете).

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNotification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `Date`
  `getDateTime()`
  `String`
  `getMessage()`
  `String`
  `getSubject()`
  `boolean`
  `isRead()`
  `ContractNotification`
  `setContractId(int contractId)`
  `ContractNotification`
  `setDateTime(Date dateTime)`
  `ContractNotification`
  `setId(int id)`
  Устанавливает id объекта
  `ContractNotification`
  `setMessage(String message)`
  `ContractNotification`
  `setRead(boolean isRead)`
  `ContractNotification`
  `setSubject(String subject)`
  `ContractNotification`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNotification

    public ContractNotification()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getDateTime

    public Date getDateTime()

  - ### getMessage

    public String getMessage()

  - ### getSubject

    public String getSubject()

  - ### isRead

    public boolean isRead()

  - ### setContractId

    public ContractNotification setContractId(int contractId)

  - ### setDateTime

    public ContractNotification setDateTime(Date dateTime)

  - ### setId

    public ContractNotification setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setMessage

    public ContractNotification setMessage(String message)

  - ### setRead

    public ContractNotification setRead(boolean isRead)

  - ### setSubject

    public ContractNotification setSubject(String subject)

  - ### setTitle

    public ContractNotification setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`